package com.jay.monitor.data.server.process;

import com.alipay.remoting.BizContext;
import com.jay.monitor.data.core.enums.MsgTypeEnums;
import com.jay.monitor.data.core.model.serializable.base.BaseDTO;
import com.jay.monitor.data.core.model.serializable.SQLMonitorDTO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

/**
 * 默认的用户处理器
 *
 * @author ： liukx
 * @time ： 2020/8/26 - 19:26
 */
public class SQLUserProcess extends AbstractUserProcess<BaseDTO> {
    private Logger logger = LoggerFactory.getLogger(getClass());

    @Override
    public Object handleRequest0(BizContext bizCtx, BaseDTO request) throws Exception {
        MsgTypeEnums type = request.getType();
        logger.info(" 查找到的类型 : " + type);
        return request;
    }

    @Override
    public List<String> multiInterest() {
        return getNamesList(BaseDTO.class, SQLMonitorDTO.class);
    }


}
